Subject: [Acme] Inconsistent use of URL and URI

From: Zach Shepherd <[email-masked]>
Date: Thu, 23 Mar 2017 00:16:36 +0000

The following feedback is based on 8010a31 (current HEAD of master).

The document seems to prefer URI, but uses URL at various points, somewhat interchangeably.

Section 1.1.3 of RFC 3986 (STD 66) states: "Future specifications and related documentation should use the general term 'URI' rather than the more restrictive terms 'URL' and 'URN' [RFC3305]." Based on this, it seems like URI should be preferred to URL throughout the document.

I would propose either:
(a) Updating all sections of the document to use URI in place of URL, except for the "url" JWS header parameter and directly related documentation.
(b) Updating all sections of the document to use URI in place of URL.

Given the implications of changing the "url" JWS header parameter, (a) seems preferable.

Regards,
Zach Shepherd